Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Firefox updated page always says "you should update Adobe Flash Player right now!" but update process identifies missing plugin which I'm unable to find.

  • 5 replies
  • 249 have this problem
  • 259 views
  • Last reply by cor-el

more options

I click the Update Flash Player button on the Firefox Updated web page which takes me to the Adobe Flash Player download page. Clicking the download now button takes me to an instruction page displaying screen shots to expect during the process. The information bar at the top of the page says there's a missing plug in but clicking the "install missing plug in" button results in "no plug in found". There is no other button or active link on the Adobe page which allows me to move forward with the process. This same thing has happened the last several times Firefox has updated. Flash Player has not been updated for a long time.

Chosen solution

I find it easier to use the manual installers to install Flash, for details see http://kb2.adobe.com/cps/191/tn_19166.html#main_ManualInstaller

Read this answer in context 👍 1

All Replies (5)

more options

Chosen Solution

I find it easier to use the manual installers to install Flash, for details see http://kb2.adobe.com/cps/191/tn_19166.html#main_ManualInstaller

more options

You should also update Java and Shockwave for Director to the latest version.

  1. Next Generation Java Plug-in 1.6.0_21 for Mozilla browsers
  2. Adobe Shockwave for Director Netscape plug-in, version 11.5

Update the Java plugin to the latest version (6 U22).

Update the Shockwave for Director plugin to the latest version.

more options

Thank you both for the prompt solutions. Flash, Java and Shockwave all now updated.

more options

WTH is with Firefox?

Flash works fine in Camino and Safari on hulu.com but I get this message with Firefox --- Hulu requires Flash Player 10.0.32 or higher. Please download and install the latest version of Flash Player before continuing.

more options

Do you see the Flash plugin in Tools > Add-ons > Plugins

See Flash Plugin - Keep it up to date and troubleshoot problems